local AutoAcceptEnchantReplace = {}

AutoAcceptEnchantReplace.Version = 1;
AutoAcceptEnchantReplace.VersionBroadcast = 1;

function AutoAcceptEnchantReplace:Log(msg)
	if (msg == nil) then
		return;
	end

	DEFAULT_CHAT_FRAME:AddMessage(string.format("|cff33ff99AAER:|cffffff78 %s", msg));
end

function AutoAcceptEnchantReplace:Initialize()
	if (1 == AutoAcceptEnchantReplace.VersionBroadcast) then
		AutoAcceptEnchantReplace.VersionBroadcast = 0;
		AutoAcceptEnchantReplace:Log(string.format("AutoAcceptEnchantReplace version %i loaded.", AutoAcceptEnchantReplace.Version));
	end
end

function AutoAcceptEnchantReplace:OnEvent(event, old_enchant, new_enchant, ...)	
	if (event == "ADDON_LOADED") then
		AutoAcceptEnchantReplace:Initialize();
	end
	
	if (event == "REPLACE_ENCHANT") then
		if (old_enchant == new_enchant) then
			--AutoAcceptEnchantReplace:Log(string.format("Auto Accepted replacing %s with %s", old_enchant, new_enchant))
			ReplaceEnchant();
		else
			return;
		end
	end
end

AutoAcceptEnchantReplace.frame = CreateFrame("Frame");
AutoAcceptEnchantReplace.frame:SetScript("OnEvent", AutoAcceptEnchantReplace.OnEvent);
AutoAcceptEnchantReplace.frame:RegisterEvent("REPLACE_ENCHANT");
AutoAcceptEnchantReplace.frame:RegisterEvent("ADDON_LOADED");
